<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DocumentosAlumnos extends Model
{
    protected $table = 'dse_doc_documentos_alumno';

    protected $fillable = ['nombre', 'estado', 'fk_idFolio', 'fk_idDocumento'];

    public function observacion() {
        return $this->hasMany('App\Observaciones', 'fk_idDocumentoAlumno', 'id');
    }

    /*public function documento(){
        return $this->belongsTo('App\Documentos', 'fk_idDocumento', 'id');
    }*/

    public function formato_fecha_hora($fecha){
    	$a = explode(" ", $fecha, 2);
    	$fec = $a[0];
		$v = explode("-", $fec, 3);
		$fch = $v[2]."-".$v[1]."-".$v[0]." ".$a[1];
		return $fch;
    }
}
